<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="DS2" targetNamespace="http://tempuri.org/DS2.xsd" xmlns:mstns="http://tempuri.org/DS2.xsd" xmlns="http://tempuri.org/DS2.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections />
        <Tables />
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="DS2" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="true" msprop:Generator_DataSetName="DS2" msprop:Generator_UserDSName="DS2">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="history" msprop:Generator_TableClassName="historyDataTable" msprop:Generator_TableVarName="tablehistory" msprop:Generator_TablePropName="history" msprop:Generator_RowDeletingName="historyRowDeleting" msprop:Generator_RowChangingName="historyRowChanging" msprop:Generator_RowEvHandlerName="historyRowChangeEventHandler" msprop:Generator_RowDeletedName="historyRowDeleted" msprop:Generator_UserTableName="history" msprop:Generator_RowChangedName="historyRowChanged" msprop:Generator_RowEvArgName="historyRowChangeEvent" msprop:Generator_RowClassName="historyRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="time" msprop:nullValue="" msprop:Generator_ColumnPropNameInRow="time" msprop:Generator_ColumnVarNameInTable="columntime" msprop:Generator_ColumnPropNameInTable="timeColumn" msprop:Generator_UserColumnName="time" type="xs:string" default="" minOccurs="0" />
              <xs:element name="tablename" msprop:nullValue="" msprop:Generator_ColumnPropNameInRow="tablename" msprop:Generator_ColumnVarNameInTable="columntablename" msprop:Generator_ColumnPropNameInTable="tablenameColumn" msprop:Generator_UserColumnName="tablename" type="xs:string" default="" minOccurs="0" />
              <xs:element name="column" msprop:nullValue="" msprop:Generator_ColumnPropNameInRow="column" msprop:Generator_ColumnVarNameInTable="columnFieldcolumn" msprop:Generator_ColumnPropNameInTable="columnColumn" msprop:Generator_UserColumnName="column" type="xs:string" default="" minOccurs="0" />
              <xs:element name="ovalue" msprop:nullValue="" msprop:Generator_ColumnPropNameInRow="ovalue" msprop:Generator_ColumnVarNameInTable="columnovalue" msprop:Generator_ColumnPropNameInTable="ovalueColumn" msprop:Generator_UserColumnName="ovalue" type="xs:string" default="" minOccurs="0" />
              <xs:element name="nvalue" msprop:nullValue="" msprop:Generator_ColumnPropNameInRow="nvalue" msprop:Generator_ColumnVarNameInTable="columnnvalue" msprop:Generator_ColumnPropNameInTable="nvalueColumn" msprop:Generator_UserColumnName="nvalue" type="xs:string" default="" minOccurs="0" />
              <xs:element name="idx" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="1" msprop:Generator_ColumnVarNameInTable="columnidx" msprop:Generator_ColumnPropNameInRow="idx" msprop:Generator_ColumnPropNameInTable="idxColumn" msprop:Generator_UserColumnName="idx" type="xs:int" />
              <xs:element name="code" msprop:Generator_ColumnVarNameInTable="columncode" msprop:Generator_ColumnPropNameInRow="code" msprop:nullValue="" msprop:Generator_ColumnPropNameInTable="codeColumn" msprop:Generator_UserColumnName="code" type="xs:string" default="" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
  </xs:element>
</xs:schema>